@bydeath this has also been fixed in the framework. You can download the version of Touch you need from the support portal or from products page on www.sencha.com